summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Pagano <mpagano@gentoo.org>2021-10-18 10:18:24 -0400
committerMike Pagano <mpagano@gentoo.org>2021-10-18 10:18:56 -0400
commit6fa4d36040e2a3eb485024c1eb9b051288e4d1ed (patch)
tree9c301c6e987a2f3c3fa6588a07662d5411460836
parentapp-i18n/ibus-unikey: new upstream release (diff)
downloadgentoo-6fa4d36040e2a3eb485024c1eb9b051288e4d1ed.tar.gz
gentoo-6fa4d36040e2a3eb485024c1eb9b051288e4d1ed.tar.bz2
gentoo-6fa4d36040e2a3eb485024c1eb9b051288e4d1ed.zip
dev-util/idea-community: Version bump, remove old
Removed LLDBFrontend after discussions with the Gentoo license team due to problematic license issues concerning this closed source binary. See CodeLLDB for an alternative. Closes: https://bugs.gentoo.org/812557 Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Mike Pagano <mpagano@gentoo.org>
-rw-r--r--dev-util/idea-community/Manifest4
-rw-r--r--dev-util/idea-community/idea-community-2021.2.3.212.5457.46.ebuild (renamed from dev-util/idea-community/idea-community-2021.2.2.212.5284.40.ebuild)10
2 files changed, 7 insertions, 7 deletions
diff --git a/dev-util/idea-community/Manifest b/dev-util/idea-community/Manifest
index 45c8cd3e7f1..c17d030f5c6 100644
--- a/dev-util/idea-community/Manifest
+++ b/dev-util/idea-community/Manifest
@@ -1,2 +1,2 @@
-DIST ideaIC-2.2.212.5284.40.tar.gz 666837939 BLAKE2B e109534f0b5d7d81659c11c27b8c70bdbb9dfd0a1443c3e0ade9e472a833913d2368613b5e98797dbbc81ae905af769b6dc7ece95600abc6d799fc4fe4df8531 SHA512 f064d96c5ee9f2f75771b1cf24de09c3fa7113cc25434fbe5542d9cfae9918fd9e310f3d177a2dc886315855d99879576967f4e08d57c9fcf4a1e7b85474cce4
-DIST jbr-11_0_11-linux-x64-b1504.12.tar.gz 294383766 BLAKE2B e34675acc196352ece761906ad4d3dbf4ead00f0e008f9da6cc27ee057384ed418ac914e521d3db1e61ab7d62e9187674aa188da447957124276e3ace7f2f37c SHA512 3e0e464090af6f3ddb9e7b0f3711a950488b3e9b98c13761d92de2b8e29850208fa389589316300606887ff943511f8efe6bff0d6b478ce8c548984b811b1968
+DIST ideaIC-2.3.212.5457.46.tar.gz 667318583 BLAKE2B 95b6961ef620947a3c9466eee14dce7532d1286e0e489019b460c51ac2c42c09aeb7e90c5c12dac9ee3cf054cf4d00952d6eb4094c5caadd6d531a38a6ca86ad SHA512 172ac71064f4db1cf0983620477d9a86ce1a5652eb5af498c9177cff8b2f0c4fa3318a901c31a1b19c262efe7564982f6057880d8bb4696424d05ac3cebb11b6
+DIST jbr-11_0_11-linux-x64-b1504.5.tar.gz 294397271 BLAKE2B a6c5ef54fc859bf1effb6759704924fb93b2d56f42cac4a56b2ff9f1f29f847448f46dac3215a277e4c272dcfab65edc21b8ed92d9b32290a0360a1586ac0868 SHA512 918a856d26fc3197ba1cc813c05cde119e7fbe8fbbd79e740e759e3b1af01e568032491dad2420f41f3c221c63b04ed3366b6acea2cc33d0e70aff947a1a0462
diff --git a/dev-util/idea-community/idea-community-2021.2.2.212.5284.40.ebuild b/dev-util/idea-community/idea-community-2021.2.3.212.5457.46.ebuild
index 64e64209305..36309d5c05c 100644
--- a/dev-util/idea-community/idea-community-2021.2.2.212.5284.40.ebuild
+++ b/dev-util/idea-community/idea-community-2021.2.3.212.5457.46.ebuild
@@ -12,8 +12,8 @@ MY_PN="idea"
# Using the most recent Jetbrains Runtime binaries available at the time of writing
# ( jre 11.0.10 build 1304.4 )
JRE11_BASE="11_0_11"
-JRE11_VER="1504.12"
-IDEA_VER="2.28899775.2679204.1629809316-850001349.1629809316"
+JRE11_VER="1504.5"
+IDEA_VER="2.157861308.704681908.1634561297-1608238442.1631355834"
# distinguish settings for official stable releases and EAP-version releases
if [[ "$(ver_cut 7)"x = "prex" ]]
@@ -44,8 +44,7 @@ DEPEND="
RDEPEND="${DEPEND}
dev-java/jansi-native
dev-libs/libdbusmenu
- media-libs/harfbuzz
- =dev-util/lldb-10*"
+ media-libs/harfbuzz"
BDEPEND="dev-util/patchelf"
RESTRICT="splitdebug"
@@ -74,6 +73,8 @@ src_prepare() {
PLUGIN_DIR="${S}/${JRE_DIR}/lib/"
+ # rm LLDBFrontEnd after licensing questions with Gentoo License Team
+ rm -vf "${S}"/plugins/Kotlin/bin/linux/LLDBFrontend
rm -vf ${PLUGIN_DIR}/libavplugin*
rm -vf "${S}"/plugins/maven/lib/maven3/lib/jansi-native/*/libjansi*
rm -vrf "${S}"/lib/pty4j-native/linux/ppc64le
@@ -89,7 +90,6 @@ src_prepare() {
done
fi
- patchelf --replace-needed liblldb.so liblldb.so.10 "${S}"/plugins/Kotlin/bin/linux/LLDBFrontend || die "Unable to patch LLDBFrontend for lldb"
if use arm64; then
patchelf --replace-needed libc.so libc.so.6 "${S}"/lib/pty4j-native/linux/aarch64/libpty.so || die "Unable to patch libpty for libc"
else